/************************************************************
 * Push Sidebar Menu
 * 
 * Created on: March 3,2015
 * License   : MIT
 * Author    : Amr Mekkawy <amr.mekkawy@gmail.com>
 * URL       : http://github.com/AmrMekkawy/push-sidebar-menu
 ************************************************************/

body.show_sidebar .nav_trigger {
    margin-right: 5px;
}
body.show_sidebar #push_sidebar {
    left: 75%;
}
#wrapper {
    margin-right: 0;
    min-height: 600px;
    overflow: hidden;
    width: 100%;
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
}
body.show_sidebar #wrapper {
    margin-right: 25%;
    width: 75%;
}
@media (max-width: 767px) {
    .nav_trigger {
        font-size: 19px;
        margin: 5px 5px 0 20px;
    }
    #push_sidebar {
        width: 80%;
    }
    body.show_sidebar #push_sidebar {
        left: 20%;
    }
    body.show_sidebar #wrapper {
        margin-right: 80%;
        width: 20%;
    }
}
@media (max-width: 1919px) {
    .nav_trigger {
        cursor: pointer;
        display: inline-block;
        font-size: 26px;
        margin: 5px 20px 0 50px;
        float: right;
        width: 50px;
        height: 50px;
        background-color: #63F;
    }
    #push_sidebar {
        background: #fff;
        border-left: 1px solid #ddd;
        bottom: 0;
        color: #95A7B7;
        left: 100%;
        overflow: hidden;
        position: fixed;
        top: 152px;
        width: 25%;
        -webkit-transition: all .5s ease;
        -moz-transition: all .5s ease;
        -ms-transition: all .5s ease;
        -o-transition: all .5s ease;
        transition: all .5s ease;
        padding-left: 0px;
        padding-right: 0px;
    }
    #push_sidebar {
        width: 35px;
    }
    #push_sidebar ul.secondary-icons {
        width: 35px;
    }
    body.show_sidebar #push_sidebar {
        left: 97.5%;
    }
    body.show_sidebar #wrapper {
        margin-right: 20%;
        width: 80%;
    }
}
/***********************************/

#push_sidebar li a {
    padding: 10px 15px 10px 5px;
    display: block;
    font: 13px Tahoma, Arial, serif;
    background: #31373d;
    color: #95A7B7;
    text-decoration: none;
    border-bottom: 1px solid #3D454C;
}
#push_sidebar li a:hover {
    background-color: #272c30;
    color: #95a7b7
}
#push_sidebar li a .fa {
    font-size: 19px;
    float: right;
    width: 30px;
    text-align: center;
    margin-left: 5px;
}